curl -X GET https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const data = await response.json();
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com",
"userId": "user_abc123",
"status": "completed",
"fileUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000",
"fullTextUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000?full=true",
"lastGenerationOptions": {
"maxUrls": 50,
"showFullText": true,
"generationMethod": "enhanced"
},
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-20T14:30:00.000Z"
}
{
"message": "Site not found"
}
{
"message": "Access denied to this site"
}
Sites
Détails d'un site
Ce point de terminaison renvoie les détails d’un site précis.
curl -X GET https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const data = await response.json();
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com",
"userId": "user_abc123",
"status": "completed",
"fileUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000",
"fullTextUrl": "https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000?full=true",
"lastGenerationOptions": {
"maxUrls": 50,
"showFullText": true,
"generationMethod": "enhanced"
},
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-20T14:30:00.000Z"
}
{
"message": "Site not found"
}
{
"message": "Access denied to this site"
}
Cette page vous a-t-elle été utile ?
⌘I